Seller onboarding: confirm the media-company identity (admins)
curl --request POST \
--url https://api.semicola.com/api/v2/media-company-intake/confirm \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"companyName": "<string>",
"companyDomain": "<string>",
"billingCountryAlpha2": "<string>",
"acceptedTermsOfService": true,
"expectedRevision": 0
}
'import requests
url = "https://api.semicola.com/api/v2/media-company-intake/confirm"
payload = {
"companyName": "<string>",
"companyDomain": "<string>",
"billingCountryAlpha2": "<string>",
"acceptedTermsOfService": True,
"expectedRevision": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
companyName: '<string>',
companyDomain: '<string>',
billingCountryAlpha2: '<string>',
acceptedTermsOfService: true,
expectedRevision: 0
})
};
fetch('https://api.semicola.com/api/v2/media-company-intake/confirm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.semicola.com/api/v2/media-company-intake/confirm",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'companyName' => '<string>',
'companyDomain' => '<string>',
'billingCountryAlpha2' => '<string>',
'acceptedTermsOfService' => true,
'expectedRevision' => 0
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.semicola.com/api/v2/media-company-intake/confirm"
payload := strings.NewReader("{\n \"companyName\": \"<string>\",\n \"companyDomain\": \"<string>\",\n \"billingCountryAlpha2\": \"<string>\",\n \"acceptedTermsOfService\": true,\n \"expectedRevision\": 0\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.semicola.com/api/v2/media-company-intake/confirm")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"companyName\": \"<string>\",\n \"companyDomain\": \"<string>\",\n \"billingCountryAlpha2\": \"<string>\",\n \"acceptedTermsOfService\": true,\n \"expectedRevision\": 0\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.semicola.com/api/v2/media-company-intake/confirm")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"companyName\": \"<string>\",\n \"companyDomain\": \"<string>\",\n \"billingCountryAlpha2\": \"<string>\",\n \"acceptedTermsOfService\": true,\n \"expectedRevision\": 0\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"status": "AWAITING_IDENTITY_CONFIRMATION",
"currency": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": "<unknown>"
}
}Onboarding
Seller onboarding: confirm the media-company identity (admins)
POST
/
api
/
v2
/
media-company-intake
/
confirm
Seller onboarding: confirm the media-company identity (admins)
curl --request POST \
--url https://api.semicola.com/api/v2/media-company-intake/confirm \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"companyName": "<string>",
"companyDomain": "<string>",
"billingCountryAlpha2": "<string>",
"acceptedTermsOfService": true,
"expectedRevision": 0
}
'import requests
url = "https://api.semicola.com/api/v2/media-company-intake/confirm"
payload = {
"companyName": "<string>",
"companyDomain": "<string>",
"billingCountryAlpha2": "<string>",
"acceptedTermsOfService": True,
"expectedRevision": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
companyName: '<string>',
companyDomain: '<string>',
billingCountryAlpha2: '<string>',
acceptedTermsOfService: true,
expectedRevision: 0
})
};
fetch('https://api.semicola.com/api/v2/media-company-intake/confirm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.semicola.com/api/v2/media-company-intake/confirm",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'companyName' => '<string>',
'companyDomain' => '<string>',
'billingCountryAlpha2' => '<string>',
'acceptedTermsOfService' => true,
'expectedRevision' => 0
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.semicola.com/api/v2/media-company-intake/confirm"
payload := strings.NewReader("{\n \"companyName\": \"<string>\",\n \"companyDomain\": \"<string>\",\n \"billingCountryAlpha2\": \"<string>\",\n \"acceptedTermsOfService\": true,\n \"expectedRevision\": 0\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.semicola.com/api/v2/media-company-intake/confirm")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"companyName\": \"<string>\",\n \"companyDomain\": \"<string>\",\n \"billingCountryAlpha2\": \"<string>\",\n \"acceptedTermsOfService\": true,\n \"expectedRevision\": 0\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.semicola.com/api/v2/media-company-intake/confirm")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"companyName\": \"<string>\",\n \"companyDomain\": \"<string>\",\n \"billingCountryAlpha2\": \"<string>\",\n \"acceptedTermsOfService\": true,\n \"expectedRevision\": 0\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"status": "AWAITING_IDENTITY_CONFIRMATION",
"currency": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": "<unknown>"
}
}Authorizations
bearerAuthsessionCookie
API key or OAuth access token.
Body
application/json
Required string length:
1 - 200Required string length:
3 - 300Pattern:
^[A-Z]{2}$Available options:
LISTING_ONLY, AGENTIC_MEDIA_COMPANY Required range:
-9007199254740991 <= x <= 9007199254740991